import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, z = Object.getOwnPropertyDescriptor, a = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? z(t, o) : t, i = c.length - 1, p; i >= 0; i--)
    (p = c[i]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--pizza", this.class = "c-pieIcon c-pieIcon--pizza", this.name = "IconPizza";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--pizza"><path d="M13.924 4.99C13.1 3.704 10.625.764 5.253 1.087a1.496 1.496 0 0 0-1.41 1.497V15l9.774-8.041a1.496 1.496 0 0 0 .307-1.969Zm-8.75 4.83a1.12 1.12 0 0 0 .875-.324 1.146 1.146 0 0 0 0-1.619 1.164 1.164 0 0 0-.875-.332V4.622a7.114 7.114 0 0 1 5.941 2.704l-5.959 4.856.018-2.362Zm7.63-3.876-.674.551a8.478 8.478 0 0 0-6.974-3.176v-.735a.192.192 0 0 1 .219-.193h.718c4.156 0 6.124 2.293 6.772 3.325a.193.193 0 0 1-.079.228h.018Zm-3.5 1.12a1.006 1.006 0 1 1-.98-1.007A1.006 1.006 0 0 1 9.33 7.064h-.026Z"></path></svg>`;
  }
};
a([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  m("icon-pizza")
], s);
export {
  s as IconPizza
};
